<ng-container *ngIf="data">
  <app-top-menu-bar [displayMenu]="false" [displayUserMenu]="false"></app-top-menu-bar>
  <div class="error-wrapper" [class]="type">
    <ng-container [ngSwitch]="type">
      <img *ngSwitchCase="'pageNotFound'" src="assets/images/auth-pages/page-not-found.png" alt="" class="error-image" />
      <img *ngSwitchCase="'pageNotAllowed'" src="assets/images/auth-pages/access-denied.png" alt="" class="error-image" />
      <img *ngSwitchCase="'userNotRegistered'" src="assets/images/auth-pages/not-registered.png" alt="" class="error-image" />
    </ng-container>
    <div class="error-text">
      <span class="header-6xl eui-u-mb-xl">{{ data.titleKey | translate }}</span>
      <span class="header-h2" [innerHTML]="data.headerKey | translate"></span>
      <span class="header-h2" [innerHTML]="data.header2Key | translate"></span>
      <span class="header-h2 header-h2-bold eui-u-mb-xl">{{ data.headerText | translate }}</span>
      <a *ngFor="let link of data.links" href="{{ link.url }}">{{ link.labelKey | translate }}</a>
      <a *ngIf="type === 'pageNotAllowed' || type === 'userNotRegistered'" href="javascript:void(0);" (click)="goToHome()">{{
        'app.error.goToHomePage' | translate
      }}</a>
    </div>
  </div>
</ng-container>
